SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
IF OBJECT_ID('dbo.usp_GetTransactionsByTransactionDT') IS NOT NULL
   DROP PROCEDURE dbo.usp_GetTransactionsByTransactionDT
GO
-- =============================================
-- Author:		Eric Miles
-- Create date: 8/22/2008
-- Description:	
-- =============================================
CREATE PROCEDURE usp_GetTransactionsByTransactionDT 
	-- Add the parameters for the stored procedure here
	@startDT datetime = 0, 
	@endDT datetime = 0
AS
BEGIN
	-- SET NOCOUNT ON added to prevent extra result sets from
	-- interfering with SELECT statements.
	SET NOCOUNT ON;

    -- Insert statements for procedure here
	SELECT	TransactionNo, TransactionDT, MachineNo, 
			CardNo, Bin, ProductNo, Quantity, LastModified
	FROM	Transactions
	WHERE	TransactionDT BETWEEN @startDT AND @endDT
END
GO
